Subject: Re: bug#890: Problem using `etc/emacs.bash' with EmacsW32

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Sat, 06 Sep 2008 14:53:26 +0200

find lulu wrote:
>>>/ I am attempting to use the shell script `emacs.bash' that is provided/
>>
>> Could you explain why you don't ust use emacsclient directly (together
>> with its -a argument)?
> 
> 
> Your question prompts the question "Why does `etc/emacs.bash' exist at all?"
> 
> The reason for `emacs.bash' to exist is to provide a single, consistent
> command for editing a file from the bash shell prompt, namely, 'edit'.
> 
> 
> It is certainly possible to use alternatives to avoid the problems described,
> but if `etc/emacs.bash' is to be included in the Emacs distribution then it
> should work for that distribution.
> 
> In brief, here are the two problems restated (for EmacsW32):
> 
> 
> 1. `etc/emacs.bash' does not check for the file `~/.emacs.d/server/server'
>    that is created when `server-start' is invoked from EmacsW32.  As a result,
>    `emacsclient' is not invoked by the shell function `edit' that is created
> 
>    when `etc/emacs.bash' is sourced.
> 
> 2. When `server-start' (in `lisp/server.el') is invoked during the Emacs
>    shutdown process, it does not remove the file `~/.emacs.d/server/server'
>    that it created when it was initially invoked.  Consequently, additional
> 
>    calls to the shell function 'edit' do not work properly -- namely, `edit'
>    should invoke `emacs' instead of `emacsclient' when there is no instance
>    of the emacs's server running.
> 
> 
> These problems should be fixed so that `edit' works for EmacsW32 as it does
> for Emacs on other platforms.  Some possible fixes were suggested in the
> original problem report.

Is there anything here that is specific to Emacs+EmacsW32?